Bug 11316 - tevent_fd needs to be destroyed before closing the fd
tevent_fd needs to be destroyed before closing the fd
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11141 11330
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-08 08:02 UTC by Stefan Metzmacher
Modified: 2015-10-19 08:51 UTC (History)
6 users (show)

See Also:


Attachments
Patches for v4-2-test (on top of the fixes for bug 11330) (99.05 KB, patch)
2015-06-15 09:25 UTC, Stefan Metzmacher
vl: review+
Details
Patches for v4-1-test (99.24 KB, patch)
2015-06-15 17:37 UTC, Stefan Metzmacher
no flags Details
Backport on top of v4-1-test, but not for v4-1-test (requires bug #11330 tevent-0.9.25) (100.55 KB, patch)
2015-06-16 13:38 UTC, Stefan Metzmacher
no flags Details
Patches for v4-2-test (on top of the fixes for bug 11330) (100.36 KB, patch)
2015-06-16 19:52 UTC, Stefan Metzmacher
metze: review? (jra)
vl: review+
Details
Patch for v4-3-test (1.45 KB, patch)
2015-08-17 19:56 UTC, Stefan Metzmacher
vl: review+
metze: review? (asn)
slow: review+
Details
Patch for v4-2-test (1.45 KB, patch)
2015-08-17 19:57 UTC, Stefan Metzmacher
slow: review+
Details
Backport on top of v4-1-test, but not for v4-1-test (requires bug #11330 tevent-0.9.25) (102.01 KB, patch)
2015-08-17 20:35 UTC, Stefan Metzmacher
no flags Details
Patches for v4-2-test (5.13 KB, patch)
2015-08-17 20:46 UTC, Stefan Metzmacher
vl: review+
metze: review? (asn)
slow: review+
Details
Patch for ctdbd_connection_destructor in master (886 bytes, patch)
2015-10-05 23:08 UTC, Stefan Metzmacher
gd: review+
vl: review+
Details
Patch for ctdbd_connection_destructor in v4-3-test (1.11 KB, patch)
2015-10-07 06:59 UTC, Stefan Metzmacher
gd: review+
vl: review+
Details
Patch for ctdbd_connection_destructor in v4-2-test (1.11 KB, patch)
2015-10-07 06:59 UTC, Stefan Metzmacher
gd: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2015-06-08 08:02:49 UTC
The problem that triggers bug #11141 is a generic one.

This bug report is about fixing similar code paths, which could lead
to the same problem.
Comment 1 Stefan Metzmacher 2015-06-15 09:25:46 UTC
Created attachment 11155 [details]
Patches for v4-2-test (on top of the fixes for bug 11330)
Comment 2 Stefan Metzmacher 2015-06-15 17:37:53 UTC
Created attachment 11157 [details]
Patches for v4-1-test
Comment 3 Stefan Metzmacher 2015-06-15 20:33:33 UTC
Comment on attachment 11157 [details]
Patches for v4-1-test

Doesn't build...
Comment 4 Stefan Metzmacher 2015-06-15 21:12:41 UTC
Comment on attachment 11155 [details]
Patches for v4-2-test (on top of the fixes for bug 11330)

Doesn't build... I'll resubmit...
Comment 5 Stefan Metzmacher 2015-06-16 13:38:03 UTC
Created attachment 11161 [details]
Backport on top of v4-1-test, but not for v4-1-test (requires bug #11330 tevent-0.9.25)
Comment 6 Stefan Metzmacher 2015-06-16 19:52:28 UTC
Created attachment 11164 [details]
Patches for v4-2-test (on top of the fixes for bug 11330)
Comment 7 Volker Lendecke 2015-06-19 06:08:53 UTC
Stefan, there's ack'ed patches for 4.2, there's also patches where you say they are on top of 4.1 but not for 4.1. What is supposed to go into what branch?
Comment 8 Stefan Metzmacher 2015-06-19 22:40:43 UTC
(In reply to Volker Lendecke from comment #7)

I've added the 4.1 patches in case someone really hits a problem.
I think backporting just to 4.2 would be enough for now.

Karolin, please pick the 4.2 patchset after applying the one from bug #11330.
Comment 9 Karolin Seeger 2015-06-29 19:49:07 UTC
(In reply to Stefan (metze) Metzmacher from comment #8)
Pushed to autobuild-v4-2-test.
Comment 10 Karolin Seeger 2015-07-05 19:04:29 UTC
(In reply to Karolin Seeger from comment #9)
Pushed.
Closing out bug report.

Thanks!
Comment 11 Stefan Metzmacher 2015-08-17 14:06:30 UTC
There's one more fix

https://git.samba.org/?p=metze/samba/wip.git;a=commitdiff;h=a9da824a24934d64d21bd
Comment 12 Stefan Metzmacher 2015-08-17 19:56:54 UTC
Created attachment 11344 [details]
Patch for v4-3-test
Comment 13 Stefan Metzmacher 2015-08-17 19:57:37 UTC
Created attachment 11345 [details]
Patch for v4-2-test
Comment 14 Stefan Metzmacher 2015-08-17 20:31:15 UTC
Pushed to autobuild-v4-{2,3}-test
Comment 15 Stefan Metzmacher 2015-08-17 20:35:03 UTC
Created attachment 11347 [details]
Backport on top of v4-1-test, but not for v4-1-test (requires bug #11330 tevent-0.9.25)
Comment 16 Stefan Metzmacher 2015-08-17 20:46:06 UTC
Created attachment 11348 [details]
Patches for v4-2-test

There's one more patch needed for v4-2-test...
Comment 17 Stefan Metzmacher 2015-08-18 05:50:03 UTC
Pushed to autobuild-v4-2-test
Comment 18 Stefan Metzmacher 2015-08-18 11:37:35 UTC
Pushed to v4-3-test, v4-2-test is still pending
Comment 19 Stefan Metzmacher 2015-08-24 11:33:43 UTC
Pushed to v4-2-test
Comment 20 Stefan Metzmacher 2015-10-05 23:03:51 UTC
There's one more patch required...
Comment 21 Stefan Metzmacher 2015-10-05 23:08:41 UTC
Created attachment 11480 [details]
Patch for ctdbd_connection_destructor in master

This is for ctdbd_connection_destructor() (master + backports).

For v4-2-test we may also need a similar fix also for ctdb_conn_destructor().
Comment 22 Guenther Deschner 2015-10-06 07:01:36 UTC
Comment on attachment 11480 [details]
Patch for ctdbd_connection_destructor in master

LGTM, Thanks metze!
Comment 23 Stefan Metzmacher 2015-10-07 06:59:08 UTC
Created attachment 11482 [details]
Patch for ctdbd_connection_destructor in v4-3-test
Comment 24 Stefan Metzmacher 2015-10-07 06:59:42 UTC
Created attachment 11483 [details]
Patch for ctdbd_connection_destructor in v4-2-test
Comment 25 Guenther Deschner 2015-10-07 07:33:49 UTC
Comment on attachment 11482 [details]
Patch for ctdbd_connection_destructor in v4-3-test

LGTM
Comment 26 Guenther Deschner 2015-10-07 07:33:57 UTC
Comment on attachment 11483 [details]
Patch for ctdbd_connection_destructor in v4-2-test

LGTM
Comment 27 Stefan Metzmacher 2015-10-07 07:39:41 UTC
Karolin, please include the
"Patch for ctdbd_connection_destructor in v4-{2,3}-test" attachments for
the next releases.

Thanks!
Comment 28 Karolin Seeger 2015-10-12 19:14:45 UTC
(In reply to Stefan Metzmacher from comment #27)
Pushed to autobuild-v4-[3|2]-test.
Comment 29 Karolin Seeger 2015-10-19 08:51:17 UTC
(In reply to Karolin Seeger from comment #28)
Pushed to both branches.
Closing out bug report.

Thanks!